#!/usr/bin/env python3

import notmuch
import os

def remove_and_readd(db, mid):
    print('removing and re-adding', mid)
    m = db.find_message(mid)
    f = m.get_filename()
    db.remove_message(f)
    db.add_message(f)

db = notmuch.Database(mode=notmuch.Database.MODE.READ_WRITE)
q = db.create_query('alice')

print('Threads:', q.count_threads())
remove_and_readd(db, 'a@example.com')
print('Threads:', q.count_threads())
remove_and_readd(db, 'b@example.com')
print('Threads:', q.count_threads())
